﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System;

namespace Testliblrs {
  class Program {
    static void Main(string[] args) {
      const int numPoints = 4;
      const int dimension = 3;

      int[] num = new int[dimension * numPoints];
      int[] den = new int[dimension * numPoints];

      num[0] = 1;
      num[1] = 2;
      num[2] = 2;

      num[3] = 3;
      num[4] = 4;
      num[5] = 3;

      num[6] = 3;
      num[7] = 6;
      num[8] = 3;

      num[9] = 7;
      num[10] = 8;
      num[11] = 3;

      den[0] = 1;
      den[1] = 1;
      den[2] = 1;
      den[3] = 1;
      den[4] = 1;
      den[5] = 1;
      den[6] = 1;
      den[7] = 1;
      den[8] = 1;
      den[9] = 1;
      den[10] = 1;
      den[11] = 1;

      double volume = LiblrsWrapper.calculate_volume(numPoints, dimension, num, den);
      Console.WriteLine("Volume is: " + volume);
    }
  }
}
